//
//  BaseViewController.m
//  test
//
//  Created by Macx on 16/7/23.
//  Copyright © 2016年 LLG. All rights reserved.
//

#import "BaseViewController.h"
#import "ImgColletionViewCell.h"
#import "CZWAleteView.h"

@interface BaseViewController ()<UICollectionViewDelegate,UICollectionViewDataSource>

@end

@implementation BaseViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    //这个是父类 继承这个视图控制器就可以.
    
    // Do any additional setup after loading the view.
}

-(NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section
{

    NSArray *imageArray = _imageArrayS[collectionView.tag-1000];
    if (collectionView.tag-1000 == [_imageArrayS indexOfObject:imageArray])
    {
        //如果是调用该方法的colletionView就返回相应的数组个数
        return imageArray.count;
    }
    return 0;
}

-(UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath
{
  ImgColletionViewCell *cell =  [collectionView dequeueReusableCellWithReuseIdentifier:@"colletionViewCell" forIndexPath:indexPath];
    return cell;
}


#pragma mark -懒加载
-(NSMutableArray *)imageArrayS
{
    if (_imageArrayS)
    {
        return _imageArrayS;
    }
    _imageArrayS = [[NSMutableArray alloc]init];
    return _imageArrayS;
}

-(void)showAlerView:(NSString *)meesage compods:(void(^)(NSString *title))compods
{
   CZWAleteView *aleteView = [CZWAleteView shareAleViewWithMessage:meesage TitleArray:@[@"确定",@"取消"]];
    [aleteView setSeletedTitle:^(NSString * title)
    {
        if (compods)
        {
            compods(title);
        }
    }];
    [aleteView show];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
