//
//  CZWAleteView.m
//  ActionViewTest
//
//  Created by Apple on 16/7/23.
//  Copyright © 2016年 Apple. All rights reserved.
//

#import "CZWAleteView.h"

#define WS(ws) __weak typeof(self) ws = self
#define SS(ss) __strong typeof(self)ss = self
#define UISCREEN_WIDTH [UIScreen mainScreen].bounds.size.width
#define UISCREEN_HEIGHT [UIScreen mainScreen].bounds.size.height
@implementation CZWAleteView

+(instancetype)shareAleViewWithMessage:(NSString *)message TitleArray:(NSArray *)titleArray
{
    return [[self alloc]initWithTitleArray:titleArray andMessege:message];
}

-(instancetype)initWithTitleArray:(NSArray *)titleArray andMessege:(NSString *)message
{
    
    CGFloat awidth = UISCREEN_WIDTH-20;
    
    CGRect frame = (CGRect){0,0,awidth,180};
    
    self = [super initWithFrame:frame];
    if (self)
    {
        UIWindow *window = [[UIApplication sharedApplication].delegate window];
        
        self.backgroundColor = [UIColor whiteColor];

        self.clipsToBounds = YES;
        
        self.layer.cornerRadius = 8.0f;
        
        self.center = window.center;
        
        [self addSubview:self.textLable];
        
        _textLable.center = CGPointMake(self.center.x, 80.0f);
        
        _textLable.bounds = (CGRect){0,0,300,20};
        
        _textLable.textAlignment = NSTextAlignmentCenter;
        
        _textLable.text = message;
        
        if (titleArray.count==2)
        {
            [self creactButtonWithArray:titleArray];
        }
        else
        {
           //多个的布局
        }
        
     }
    return self;
    
}
#pragma mark 创建按钮

-(void)creactButtonWithArray:(NSArray *)titleArray
{
    CGFloat awidth = UISCREEN_WIDTH-20;
    for (int i = 0; i < titleArray.count; i++)
    {
        UIButton *titleButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
        [titleButton addTarget:self action:@selector(buttonclick:) forControlEvents:UIControlEventTouchUpInside];
        
        titleButton.center = (CGPoint){((awidth/2-(40+25))),(180-30)};
        
        titleButton.bounds = (CGRect){0,0,100,30};
        
        [titleButton setTitle:titleArray[i] forState:UIControlStateNormal];
        [self addSubview:titleButton];
        if ([titleArray[i] isEqualToString:@"确定"])
        {
            [titleButton setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
            titleButton.backgroundColor = [UIColor redColor];
            titleButton.layer.cornerRadius = 15.0f;
            titleButton.center = (CGPoint){((awidth/2+(40+25))),(180-30)};
            
        }
        else
        {
            [titleButton setTitleColor:[UIColor lightGrayColor] forState:UIControlStateNormal];
            titleButton.backgroundColor = [UIColor whiteColor];
            titleButton.layer.cornerRadius = 15.0f;
            titleButton.layer.borderColor = [UIColor lightGrayColor].CGColor;
            titleButton.layer.borderWidth = 2.0f;
        }
    }

}
-(UILabel *)textLable
{
    if (_textLable)
    {
        return _textLable;
    }
    _textLable = [[UILabel alloc]init];
    return _textLable;
}
-(void)buttonclick:(id)sender
{
    UIButton *button = sender;
    if (_seletedTitle)
    {
        _seletedTitle(button.titleLabel.text);
    }
    [self dismiss];
}

-(void)show
{
    UIWindow *window = [[UIApplication sharedApplication].delegate window];
    
    self.backView = [[UIView alloc]initWithFrame:window.bounds];
    
    _backView.backgroundColor = [UIColor colorWithWhite:0 alpha:0.3];
    
    [window addSubview:_backView];
    self.center = (CGPoint){window.center.x, -90};
    
    [window addSubview:self];
    [self startAnimationWith:window.center];
}
//消失的方法

-(void)dismiss
{
    [self dismissAnimation];
}
-(void)startAnimationWith:(CGPoint)point
{
    [UIView animateWithDuration:0.5 delay:0 usingSpringWithDamping:0.5 initialSpringVelocity:5.0f options:UIViewAnimationOptionLayoutSubviews  animations:^{
        self.center =point;
    } completion:^(BOOL finished) {
        
    }];
}
#pragma mark- 动画部分
-(void)dismissAnimation
{
    WS(ws);
   [UIView animateWithDuration:0.1 animations:^{
       
       ws.layer.transform = CATransform3DMakeScale(1.2, 1.2, 0);
       
   } completion:^(BOOL finished) {
       
       [UIView animateWithDuration:0.4 animations:^{
           ws.alpha = 0.5;
           
           ws.backView.alpha = 0.5;
           
           ws.layer.transform = CATransform3DMakeScale(0.0, 0.0, 0);
           
       } completion:^(BOOL finished) {
           [ws.backView removeFromSuperview];
            ws.backView = nil;
           [ws removeFromSuperview];
       }];
   }];

}
/**
 * 判断点击的某点是否在某个区域内
 */
-(BOOL)pointInside:(CGPoint)point withEvent:(UIEvent *)event
{
    if (CGRectContainsPoint(self.bounds, point))
    {
        return YES;
    }
    else
    {
        if (_seletedTitle) {
        
            _seletedTitle(@"取消");
        }
        [self dismiss];
        return NO;
    }
}

- (void)drawRect:(CGRect)rect
{


}


@end
