//
//  MyViewController.m
//  test
//
//  Created by Macx on 16/7/23.
//  Copyright © 2016年 LLG. All rights reserved.
//
#define WS(ws) __weak typeof(self) ws = self

#define SS(ss) __strong typeof(self)ss = self
#import "MyViewController.h"
#import "ColltionTableViewCell.h"
@interface MyViewController ()<UITableViewDelegate,UITableViewDataSource,UICollectionViewDataSource,UICollectionViewDelegate>
@property (nonatomic,strong)UITableView *mytableView;
@end

@implementation MyViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    [self.view addSubview:self.mytableView];
    _mytableView.delegate = self;
    _mytableView.dataSource = self;
    [_mytableView registerClass:[ColltionTableViewCell class] forCellReuseIdentifier:@"tableViewCell"];
    NSMutableArray *mutableArray = [NSMutableArray arrayWithObjects:@"1",@"2",@"5", nil];
    
    NSMutableArray *mutableArray2 = [NSMutableArray arrayWithObjects:@"1",@"2",@"5", @"5",@"1",@"2",nil];
    
 NSMutableArray *mutableArray3 = [NSMutableArray arrayWithObjects:@"1",@"2",@"5", @"5",@"1",@"2",@"2",@"2",@"2",nil];
    
    NSMutableArray *mutableArray4 = [NSMutableArray arrayWithObjects:@"1",@"2",@"5", @"5",@"1",@"2",@"2",@"2",@"2",@"1",@"2",@"2",@"2",@"2",nil];
    
    NSMutableArray *mutableArray6 = [NSMutableArray arrayWithObjects:@"1",@"2",@"5", @"5",@"1",@"2",@"2",@"2",@"2",@"1",@"2",nil];
    
        NSMutableArray *mutableArray5 = [NSMutableArray arrayWithObjects:@"1",@"2",@"2",@"2",@"2",@"1",@"2",@"2",@"2",@"2",nil];
    
    [self.imageArrayS  addObject:mutableArray];
    [self.imageArrayS addObject:mutableArray2];
    [self.imageArrayS  addObject:mutableArray3];
    [self.imageArrayS  addObject:mutableArray4];
    [self.imageArrayS  addObject:mutableArray5];
    [self.imageArrayS  addObject:mutableArray6];
    self.automaticallyAdjustsScrollViewInsets = NO;
   
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.imageArrayS.count;
}
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *identifier = @"tableViewCell";
    
    ColltionTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:identifier forIndexPath:indexPath];
    cell.colletionView.tag = indexPath.row+1000;
    cell.colletionView.delegate = self;
    cell.colletionView.dataSource = self;
    [cell.colletionView reloadData];
    if (cell.hasLongPress)
    {
        //防止来回调用删除的方法的时候调用不存在的对象而造成的崩溃
        //长按是会调用多次的 所以用一个BOOL值来限制
        cell.hasLongPress = NO;
    }
    WS(ws);
    [cell setDidlongPress:^(ColltionTableViewCell *acell) {
        [ws showAlerView:@"您确定要删除？" compods:^(NSString *title) {
            if ([title isEqualToString:@"确定"])
            {
                [ws.imageArrayS removeObjectAtIndex:acell.colletionView.tag-1000];
                
                [ws.mytableView reloadData];
            }else{
                acell.hasLongPress = NO;
            }
        }];
    }];
    return cell;
}
-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSArray *array = self.imageArrayS[indexPath.row];
    //根据
    NSInteger number = array.count%5;
    CGFloat aheight = 0;
    
    if (number>0&&number<5)
    {
        aheight = 60;
    }
    CGFloat height = array.count/5*60 +aheight;
    
    return height;
}
#pragma mark 懒加载
-(UITableView *)mytableView
{
    if (_mytableView)
    {
        return _mytableView;
    }
    _mytableView = [[UITableView alloc]initWithFrame:self.view.bounds style:UITableViewStyleGrouped];
    return _mytableView;
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
