//
//  ColltionTableViewCell.m
//  test
//
//  Created by Macx on 16/7/23.
//  Copyright © 2016年 LLG. All rights reserved.
//

#import "ColltionTableViewCell.h"
#import "ImgColletionViewCell.h"
@interface ColltionTableViewCell()

@end
@implementation ColltionTableViewCell


-(instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self)
    {
        [self.contentView addSubview:self.colletionView];
        self.colletionView.backgroundColor = [UIColor whiteColor];
        
        //注册Cell在tableView的cell里面
        [_colletionView registerClass:[ImgColletionViewCell class] forCellWithReuseIdentifier:@"colletionViewCell"];
        
       UILongPressGestureRecognizer *longPress = [[UILongPressGestureRecognizer alloc]initWithTarget:self action:@selector(longpress:)];
        
      [self addGestureRecognizer:longPress];
    }
    return self;
}
-(void)longpress:(id)sender
{
    if (_hasLongPress)
    {
         return;
    }
    _hasLongPress = YES;
    
    if (_didlongPress)
    {
        self.colletionView.backgroundColor = [UIColor yellowColor];
        _didlongPress(self);
    }
}
-(UICollectionView *)colletionView
{
    if (_colletionView)
    {
        return _colletionView;
    }
    UICollectionViewFlowLayout *flowLayout = [[UICollectionViewFlowLayout alloc]init];
    flowLayout.itemSize = CGSizeMake(50, 50);
    
    flowLayout.minimumLineSpacing = 5.0f;
    
    flowLayout.minimumInteritemSpacing = 5.0f;
    
    flowLayout.sectionInset = UIEdgeInsetsMake(0, 5, 5, 5);
   
    _colletionView = [[UICollectionView alloc]initWithFrame:self.bounds collectionViewLayout:flowLayout];
    
    return _colletionView;
}

-(void)setFrame:(CGRect)frame
{
    _colletionView.frame = CGRectMake(0, 0, frame.size.width, frame.size.height);
    [super setFrame:frame];
}
- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];

    
}

@end
