//
//  ImgColletionViewCell.m
//  test
//
//  Created by Macx on 16/7/23.
//  Copyright © 2016年 LLG. All rights reserved.
//

#import "ImgColletionViewCell.h"

@implementation ImgColletionViewCell

-(instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self)
    {
        self.backgroundColor = [UIColor redColor];
        [self.contentView addSubview:self.bgImageView];
        _bgImageView.bounds = (CGRect){0,0,frame.size.width,frame.size.height};
    }
    return self;
}
#pragma mark -懒加载
-(UIImageView *)bgImageView
{
    if (_bgImageView)
    {
        return _bgImageView;
    }
    _bgImageView = [[UIImageView alloc]init];
    return _bgImageView;
}
@end
